import { styled } from '@linaria/react';
import Tooltip from '../../core/Tooltip/index.js';
import React__default from 'react';

const NameItem = /*#__PURE__*/styled('div')({
  name: "NameItem",
  class: "E_4100_0_7_n12mqh7z",
  propsAsIs: false
});
const TooltipText = /*#__PURE__*/styled('span')({
  name: "TooltipText",
  class: "E_4100_0_7_tf5bynu",
  propsAsIs: false
});
const ToolTipStyle = "E_4100_0_7_tcckoz1";
const NamesTooltip = props => {
  const {
    names,
    children
  } = props;
  return /* @__PURE__ */React__default.createElement(Tooltip, {
    title: /* @__PURE__ */React__default.createElement(React__default.Fragment, null, names.map(name => /* @__PURE__ */React__default.createElement(NameItem, {
      key: name.id
    }, name.name))),
    overlayClassName: ToolTipStyle
  }, /* @__PURE__ */React__default.createElement(TooltipText, {
    className: "dashed-border-bottom"
  }, children));
};
var NamesTooltip$1 = NamesTooltip;

export { NamesTooltip$1 as default };
